Notice:
If you happen to see a question you know the answer to, please do chime in and help your fellow community members. We appreciate your help!

Test-drive the GATK tools and Best Practices pipelines on Terra


Check out this blog post to learn how you can get started with GATK and try out the pipelines in preconfigured workspaces (with a user-friendly interface!) without having to install anything.

depth of coverage link

estif74estif74 Saint Paul, MN, USAMember

Hi Geraldine/GATKers :-)

I was trying to access the documentation for DepthOfCoverage from this page:

http://gatkforums.broadinstitute.org/discussion/40/using-depthofcoverage-to-find-out-how-much-sequence-data-you-have

that links to here:

http://www.broadinstitute.org/gatk/gatkdocs/org_broadinstitute_sting_gatk_walkers_coverage_DepthOfCoverage.html

But the link doesn't seem to be working. Could you possibly update the link so that I could take a look at the argument details?

Thank you so much as always!
Steve

Tagged:

Best Answers

Answers

  • estif74estif74 Saint Paul, MN, USAMember

    awesome thanks!

  • estif74estif74 Saint Paul, MN, USAMember

    Hi Geraldine,

    I had one other follow-up question - am hoping this is related to a similar link issue...

    So I've noticed that none of my Queue Scala scripts work anymore when I try to call the new version of Queue (3.2-2), but they work fine when I call the 3.1-1 version.

    At the beginning of one of my Scala scripts, for example, I have the following lines:

    import org.broadinstitute.sting.queue.QScript
    import org.broadinstitute.sting.queue.extensions.gatk._
    import org.broadinstitute.sting.queue.extensions.gatk.HaplotypeCaller
    import org.broadinstitute.sting.queue.extensions.gatk.GenotypeGVCFs

    Do I need to update these links to make them work with the new version of Queue?

    I won't bore you with my entire scala script, but these are some of the error messages I'm getting:

    INFO 20:35:13,164 QScriptManager - Compiling 1 QScript
    ERROR 20:35:13,427 QScriptManager - queue_singlesample_makegvcf_2.scala:1: object sting is not a member of package org.broadinstitute
    ERROR 20:35:13,437 QScriptManager - import org.broadinstitute.sting.queue.QScript
    ERROR 20:35:13,438 QScriptManager - ^
    ERROR 20:35:13,444 QScriptManager - queue_singlesample_makegvcf_2.scala:2: object sting is not a member of package org.broadinstitute
    ERROR 20:35:13,452 QScriptManager - import org.broadinstitute.sting.queue.extensions.gatk._
    ERROR 20:35:13,453 QScriptManager - ^
    ERROR 20:35:13,456 QScriptManager - queue_singlesample_makegvcf_2.scala:3: object sting is not a member of package org.broadinstitute
    ERROR 20:35:13,463 QScriptManager - import org.broadinstitute.sting.queue.extensions.gatk.HaplotypeCaller
    ERROR 20:35:13,464 QScriptManager - ^
    ERROR 20:35:13,466 QScriptManager - queue_singlesample_makegvcf_2.scala:4: object sting is not a member of package org.broadinstitute
    ERROR 20:35:13,473 QScriptManager - import org.broadinstitute.sting.queue.extensions.gatk.GenotypeGVCFs

    Thanks!!!

  • estif74estif74 Saint Paul, MN, USAMember

    OK, sorry for not reading the version notes carefully! Thanks :-)

Sign In or Register to comment.